Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.validate
Class JavaVerifier

    java.lang.Object
      com.saxonica.validate.PlatformVerifier
          com.saxonica.validate.JavaVerifier

All Implemented Interfaces:
  java.io.Serializable

public final class JavaVerifier
extends PlatformVerifier

A helper class for SchemaAwareConfiguration that handles license keys as issued for the Java platform

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.saxonica.validate.PlatformVerifier
`features`

Constructor Summary
`JavaVerifier()`

Method Summary
`void` | `loadLicense()`
`void` | `supplyLicenseKey(java.io.BufferedReader reader)` This method allows the contents of a license key to be supplied programmatically.

Methods inherited from class com.saxonica.validate.PlatformVerifier
`daysLeft, displayLicenseMessage, getFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaVerifier

    public JavaVerifier()

Method Detail

### loadLicense

    public void loadLicense()

  Specified by:
    `loadLicense` in class `PlatformVerifier`

### supplyLicenseKey

    public void supplyLicenseKey(java.io.BufferedReader reader)

  This method allows the contents of a license key to be supplied programmatically. This must be a license file as issued to authorized OEM distributors of Saxon-SA.

  Specified by:
    `supplyLicenseKey` in class `PlatformVerifier`
  Parameters:
    `reader` - A reader that will be used to read the contents of the license file (for example, a StringReader)
  Throws:
    `java.lang.IllegalArgumentException` - if the key supplied is not a valid OEM license key

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD